<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android" xmlns:tools="http://schemas.android.com/tools"
    package="com.lemonhc.mplus.mcare_plus">
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.USE_FINGERPRINT" />
    <uses-permission android:name="android.permission.NFC" />
    <uses-permission android:name="android.permission.CAMERA" />

    <uses-permission android:name="android.permission.GET_TASKS" />
    <!-- samsung fingerprint permission, only required if you include the Spass module
    <uses-permission android:name="com.samsung.android.providers.context.permission.WRITE_USE_APP_FEATURE_SURVEY" />
    -->
    <uses-permission android:name="android.permission.RECORD_AUDIO" />

    <uses-feature
        android:name="android.hardware.nfc"
        android:required="true" />

    <uses-feature android:name="android.hardware.camera2.full" />

    <application
        android:usesCleartextTraffic="true"
        android:name="com.lemonhc.mplus.app.MPlusApplication"
        android:allowBackup="false"
        tools:replace="android:allowBackup"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/Theme.AppCompat.NoActionBar"

        tools:ignore="GoogleAppIndexingWarning">
        <activity android:name="com.lemonhc.mplus.mcare_plus.activity.IntroActivity" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name="com.lemonhc.mplus.mcare_plus.activity.MainActivity"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="adjustResize"
            tools:ignore="LockedOrientationActivity">
        </activity>

        <!--
        ATTENTION: This was auto-generated to add Google Play services to your project for
        App Indexing.  See https://g.co/AppIndexing/AndroidStudio for more information.
        -->
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />
        <meta-data
            android:name="io.fabric.ApiKey"
            android:value="cc177777a841e12a043cbf1aa706071f8569ae23" />

        <activity android:name="com.lemonhc.mplus.mcare_plus.activity.BarcodeActivity" />

        <activity android:name="com.lemonhc.mplus.mcare_plus.activity.Test2Activity" />

        <activity android:name="com.lemonhc.mplus.mcare_plus.activity.PhotoActivity" />

        <activity android:name="com.lemonhc.mplus.mcare_plus.activity.GallaryActivity" />

        <activity
            android:name="com.lemonhc.mplus.mcare_plus.activity.MPlusPopupActivity"
            android:launchMode="singleTop" />

        <activity
            android:name="com.lemonhc.mplus.mcare_plus.activity.CameraActivity"
            android:configChanges="orientation|screenSize" />

        <activity android:name="com.lemonhc.mplus.mcare_plus.activity.PhotoDetailActivity" />

        <activity android:name="com.lemonhc.mplus.mcare_plus.activity.lockScreen.LockOptionActivity" />

        <activity
            android:name="com.lemonhc.mplus.mcare_plus.activity.lockScreen.LockScreenActivity"
            android:theme="@style/DialogTheme_LockScreen" />
        <activity android:name=".activity.BaseActivity" />

        <provider
            android:name="androidx.core.content.FileProvider"
            android:authorities="${applicationId}.provider"
            android:exported="false"
            android:grantUriPermissions="true">
            <meta-data
                android:name="android.support.FILE_PROVIDER_PATHS"
                android:resource="@xml/provider_paths"/>
        </provider>
    </application>
</manifest>
